package main;

import java.io.File;
import java.io.FileInputStream;
import java.util.Properties;

public final class Config {

   public static final String SERVER_FILE = "./join.properties";
   public static String DATABASE_DRIVER;
   public static String DATABASE_URL;
   public static String DATABASE_LOGIN;
   public static String DATABASE_PASSWORD;
   public static int DATABASE_MAX_CONNECTIONS;
   public static int DATABASE_MAX_IDLE_TIME;
   public static String DATABASE_URL2;
   public static boolean DEBUG = true;
   public static String ACCOUNT_PER;
   public static String CHARACTER_PER;
   public static String CHARACTER_PER_S;
   public static String CHARACTER_PER_T;
   public static boolean IS_MOVE_ITEMS_ATTR;
   public static boolean IS_MOVE_GROW_ITEMS;
   public static boolean IS_MOVE_GENGEL;
   public static boolean IS_MOVE_RECIPE;
   public static int MIN_LEVEL;


   public static void load() {
      FileInputStream is = null;

      try {
         try {
            Properties serverSettings = new Properties();
            is = new FileInputStream(new File("./join.properties"));
            serverSettings.load(is);
            DATABASE_DRIVER = serverSettings.getProperty("Driver", "com.mysql.jdbc.Driver");
            DATABASE_URL = serverSettings.getProperty("URL", "jdbc:mysql://localhost/l2jdb");
            DATABASE_LOGIN = serverSettings.getProperty("Login", "root");
            DATABASE_PASSWORD = serverSettings.getProperty("Password", "");
            DATABASE_MAX_CONNECTIONS = Integer.parseInt(serverSettings.getProperty("MaximumDbConnections", "10"));
            DATABASE_MAX_IDLE_TIME = Integer.parseInt(serverSettings.getProperty("MaximumDbIdleTime", "0"));
            DATABASE_URL2 = serverSettings.getProperty("URL2", "l2jdb");
            ACCOUNT_PER = serverSettings.getProperty("AccountPer", "_");
            CHARACTER_PER = serverSettings.getProperty("CharacterPer", "[A]");
            CHARACTER_PER_S = serverSettings.getProperty("CharacterPerS", "[B]");
            CHARACTER_PER_T = serverSettings.getProperty("CharacterPerT", "[C]");
            MIN_LEVEL = Integer.parseInt(serverSettings.getProperty("MinLevel", "40"));
            IS_MOVE_ITEMS_ATTR = Boolean.parseBoolean(serverSettings.getProperty("isMoveItemsAttr", "true"));
            IS_MOVE_GROW_ITEMS = Boolean.parseBoolean(serverSettings.getProperty("isMoveGrowItems", "true"));
            IS_MOVE_RECIPE = Boolean.parseBoolean(serverSettings.getProperty("isMoveRecipe", "true"));
            IS_MOVE_GENGEL = Boolean.parseBoolean(serverSettings.getProperty("isMoveGengel", "false"));
         } catch (Exception var2) {
            ;
         }
      } catch (Exception var3) {
         ;
      }

   }
}
