package main;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Iterator;
import java.util.logging.Logger;
import javolution.util.FastList;
import main.Clan;
import main.Config;
import main.L2DatabaseFactory;

public class Join {

   public static Join join;
   static Logger _log = Logger.getLogger(L2DatabaseFactory.class.getName());
   private static FastList _clan;


   private Join() {
      Connection con = null;

      try {
         _log.info("：开始转移账号信息,大约需要1-5分钟请耐心等待......");
         con = L2DatabaseFactory.getInstance().getConnection();
         PreparedStatement e = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`accounts`");
         ResultSet rset2 = e.executeQuery();
         PreparedStatement stmt_acc = con.prepareStatement("SELECT * FROM `accounts` WHERE login=?");
         PreparedStatement stmt_acc_instr = con.prepareStatement("INSERT INTO accounts(`login`,`password`, `lastactive`, `accessLevel`, `lastIP`, `lastServer`, `password_com` ) VALUES (?,?,?,?,?,?,?)");
         PreparedStatement stmt2_acc = con.prepareStatement("UPDATE `" + Config.DATABASE_URL2 + "`.`accounts` SET login=? WHERE login=?");
         PreparedStatement stmt2_cht = con.prepareStatement("UPDATE `" + Config.DATABASE_URL2 + "`.`characters` SET account_name=? WHERE account_name=?");
         PreparedStatement stmt_cmd = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`character_command` WHERE charId=?");
         PreparedStatement stmt_cmd_instr = con.prepareStatement("INSERT INTO character_command(`charId`, `charName`, `points`,`wlc`, `isCommand`) VALUES(?,?,?,?,?)");

         while(rset2.next()) {
            String login = rset2.getString("login");
            String password = rset2.getString("password");
            Long lastactive = Long.valueOf(rset2.getLong("lastactive"));
            int accessLevel = rset2.getInt("accessLevel");
            String lastIp = rset2.getString("lastIp");
            String password_com = rset2.getString("password_com");
            byte lastServer = 1;
            stmt_acc.setString(1, login);
            ResultSet st_clan = stmt_acc.executeQuery();
            if(st_clan.next()) {
               if(!st_clan.getString("password").equals(password)) {
                  stmt2_cht.setString(1, Config.ACCOUNT_PER + login);
                  stmt2_cht.setString(2, login);
                  stmt2_acc.setString(1, Config.ACCOUNT_PER + login);
                  stmt2_acc.setString(2, login);
                  stmt2_acc.executeUpdate();
                  stmt2_cht.executeUpdate();
               }
            } else {
               stmt_acc_instr.setString(1, login);
               stmt_acc_instr.setString(2, password);
               stmt_acc_instr.setLong(3, lastactive.longValue());
               stmt_acc_instr.setInt(4, accessLevel);
               stmt_acc_instr.setString(5, lastIp);
               stmt_acc_instr.setInt(6, lastServer);
               stmt_acc_instr.setString(7, password_com);
               stmt_acc_instr.executeUpdate();
            }
         }

         e.close();
         stmt_acc.close();
         stmt2_acc.close();
         stmt2_cht.close();
         stmt_acc_instr.close();
         PreparedStatement var174 = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`clan_data`");
         PreparedStatement st_clan_instr = con.prepareStatement("INSERT INTO clan_data(`clan_id`, `clan_name`, `clan_level`, `reputation_score`, `hasCastle`,`ally_id`, `ally_name`, `leader_id`, `crest_id`, `crest_large_id`, `ally_crest_id`,`auction_bid_at`, `ally_penalty_expiry_time`, `ally_penalty_type`, `char_penalty_expiry_time`,`dissolving_expiry_time`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
         PreparedStatement st_clan_name = con.prepareStatement("SELECT clan_id FROM clan_data WHERE clan_name=?");
         _log.info("初始化数据中,大约需要1-3分钟请耐心等待......");
         _clan = new FastList();
         ResultSet rs_clan = var174.executeQuery();

         ResultSet rs_obj3;
         while(rs_clan.next()) {
            int stmt_obj1 = rs_clan.getInt("clan_id");
            String rs_obj1 = rs_clan.getString("clan_name");
            int stmt_obj2 = rs_clan.getInt("clan_level");
            int rs_obj2 = rs_clan.getInt("reputation_score");
            int stmt_obj3 = rs_clan.getInt("leader_id");
            st_clan_name.setString(1, rs_obj1);
            rs_obj3 = st_clan_name.executeQuery();
            if(rs_obj3.next()) {
               rs_obj1 = Config.CHARACTER_PER + rs_obj1;
               st_clan_name.setString(1, rs_obj1);
               rs_obj3 = st_clan_name.executeQuery();
               if(rs_obj3.next()) {
                  rs_obj1 = Config.CHARACTER_PER_S + rs_obj1;
                  st_clan_name.setString(1, rs_obj1);
                  rs_obj3 = st_clan_name.executeQuery();
                  if(rs_obj3.next()) {
                     rs_obj1 = Config.CHARACTER_PER_T + rs_obj1;
                  }
               }
            }

            rs_obj3.close();
            Clan stmt_obj4 = new Clan();
            stmt_obj4.setOldCharId(stmt_obj3);
            stmt_obj4.setOldClanId(stmt_obj1);
            stmt_obj4.setClanName(rs_obj1);
            stmt_obj4.setClanLevel(stmt_obj2);
            stmt_obj4.setReputationScore(rs_obj2);
            _clan.add(stmt_obj4);
         }

         rs_clan.close();
         st_clan_name.close();
         _log.info("开始转移角色信息,大约需要5-15分钟请耐心等待......");
         PreparedStatement var175 = con.prepareStatement("SELECT object_id FROM `items` ORDER BY object_id DESC LIMIT 1");
         ResultSet var177 = var175.executeQuery();
         PreparedStatement var176 = con.prepareStatement("SELECT object_id FROM `" + Config.DATABASE_URL2 + "`.`items` ORDER BY object_id DESC LIMIT 1");
         ResultSet var178 = var176.executeQuery();
         PreparedStatement var179 = con.prepareStatement("SELECT owner_id FROM `items` ORDER BY owner_id DESC LIMIT 1");
         rs_obj3 = var179.executeQuery();
         PreparedStatement var180 = con.prepareStatement("SELECT owner_id FROM `" + Config.DATABASE_URL2 + "`.`items` ORDER BY owner_id DESC LIMIT 1");
         ResultSet rs_obj4 = var180.executeQuery();
         int object1 = 0;
         int object2 = 0;
         int object3 = 0;
         int object4 = 0;
         boolean object_id = false;
         if(var177.next()) {
            object1 = var177.getInt("object_id");
         }

         if(var178.next()) {
            object2 = var178.getInt("object_id");
         }

         if(rs_obj3.next()) {
            object3 = rs_obj3.getInt("owner_id");
         }

         if(rs_obj4.next()) {
            object4 = rs_obj4.getInt("owner_id");
         }

         int var181 = object1 >= object2?object1:object2;
         object1 = object3 >= object4?object3:object4;
         var181 = var181 >= object1?var181:object1;
         ++var181;
         var175.close();
         var176.close();
         var179.close();
         var180.close();
         var177.close();
         var178.close();
         rs_obj3.close();
         rs_obj4.close();
         PreparedStatement st_charts = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`characters` WHERE level>=" + Config.MIN_LEVEL);
         ResultSet rs_charts = st_charts.executeQuery();
         PreparedStatement st_subclass = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`character_subclasses` WHERE charId=?");
         PreparedStatement st_items = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`items` WHERE owner_id=?");
         PreparedStatement st_skills = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`character_skills` WHERE charId=?");
         PreparedStatement st_check_char = con.prepareStatement("SELECT * FROM `characters` WHERE char_name=?");
         PreparedStatement ost_chats = con.prepareStatement("INSERT INTO `characters` VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
         PreparedStatement ost_subclass = con.prepareStatement("INSERT INTO `character_subclasses` VALUES (?,?,?,?,?,?)");
         PreparedStatement ost_items = con.prepareStatement("INSERT INTO `items` VALUES (?,?,?,?,?,?,?,?,?,?,?,?)");
         PreparedStatement ost_skills = con.prepareStatement("INSERT INTO `character_skills` VALUES (?,?,?,?)");
         PreparedStatement st_grow_items = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`grow_items` WHERE object_id=?");
         PreparedStatement stmt_grow_items = con.prepareStatement("INSERT INTO `grow_items` VALUES (?,?,?,?,?)");
         PreparedStatement st_items_attr = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`item_attributes` WHERE itemId=?");
         PreparedStatement stmt_items_attr = con.prepareStatement("INSERT INTO `item_attributes` VALUES (?,?,?,?,?,?)");
         PreparedStatement st_recipes = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`character_recipebook` WHERE charId=?");
         PreparedStatement stmt_recipes = con.prepareStatement("INSERT INTO `character_recipebook` VALUES (?,?,?,?)");
         PreparedStatement st_hennas = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`character_hennas` WHERE charId=?");
         PreparedStatement stmt_hennas = con.prepareStatement("INSERT INTO `character_hennas` VALUES (?,?,?,?)");
         PreparedStatement st_clan_privs = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`clan_privs` WHERE clan_id=?");
         PreparedStatement st_clan_privs_instr = con.prepareStatement("INSERT INTO clan_privs VALUES (?,?,?,?)");
         PreparedStatement st_clan_skills = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`clan_skills` WHERE clan_id=?");
         PreparedStatement st_clan_skills_instr = con.prepareStatement("INSERT INTO clan_skills VALUES (?,?,?,?)");
         PreparedStatement st_clan_subpledges = con.prepareStatement("SELECT * FROM `" + Config.DATABASE_URL2 + "`.`clan_subpledges` WHERE clan_id=?");

         PreparedStatement st_clan_subpledges_instr;
         int rs_clan_skills;
         int rs_clan_subpledges;
         int rs_clan_items;
         int idIdex;
         int clan_item_id;
         int enchant_level;
         int loc_data;
         int time_of_use;
         int custom_type1;
         int custom_type2;
         int mana_left;
         int objectIndex;
         int i;
         for(st_clan_subpledges_instr = con.prepareStatement("INSERT INTO clan_subpledges VALUES (?,?,?,?)"); rs_charts.next(); var181 += i + objectIndex) {
            String c = rs_charts.getString("account_name");
            int charId = rs_charts.getInt("charId");
            String rs_clan_privs = rs_charts.getString("char_name");
            rs_clan_skills = rs_charts.getInt("level");
            rs_clan_subpledges = rs_charts.getInt("maxHp");
            rs_clan_items = rs_charts.getInt("curHp");
            idIdex = rs_charts.getInt("maxCp");
            clan_item_id = rs_charts.getInt("curCp");
            int count = rs_charts.getInt("maxMp");
            enchant_level = rs_charts.getInt("curMp");
            int loc = rs_charts.getInt("face");
            loc_data = rs_charts.getInt("hairStyle");
            time_of_use = rs_charts.getInt("hairColor");
            custom_type1 = rs_charts.getInt("sex");
            custom_type2 = rs_charts.getInt("heading");
            mana_left = rs_charts.getInt("x");
            int time = rs_charts.getInt("y");
            int z = rs_charts.getInt("z");
            Long exp = Long.valueOf(rs_charts.getLong("exp"));
            Long expBeforeDeath = Long.valueOf(rs_charts.getLong("expBeforeDeath"));
            int sp = rs_charts.getInt("sp");
            int karma = rs_charts.getInt("karma");
            int fame = rs_charts.getInt("fame");
            int pvpkills = rs_charts.getInt("pvpkills");
            int pkkills = rs_charts.getInt("pvpkills");
            int clanid = rs_charts.getInt("clanid");
            int race = rs_charts.getInt("race");
            int classid = rs_charts.getInt("classid");
            int base_class = rs_charts.getInt("base_class");
            int transform_id = rs_charts.getInt("transform_id");
            Long deletetime = Long.valueOf(rs_charts.getLong("deletetime"));
            int cancraft = rs_charts.getInt("cancraft");
            String title = rs_charts.getString("title");
            int title_color = 16777079;
            int rec_have = rs_charts.getInt("rec_have");
            int rec_left = rs_charts.getInt("rec_left");
            int accesslevel = rs_charts.getInt("accesslevel");
            byte online = 0;
            int onlinetime = rs_charts.getInt("onlinetime");
            int char_slot = rs_charts.getInt("char_slot");
            int newbie = rs_charts.getInt("newbie");
            Long lastAccess = Long.valueOf(rs_charts.getLong("lastAccess"));
            int clan_privs = rs_charts.getInt("clan_privs");
            int wantspeace = rs_charts.getInt("wantspeace");
            int isin7sdungeon = rs_charts.getInt("isin7sdungeon");
            int punish_level = rs_charts.getInt("punish_level");
            int punish_timer = rs_charts.getInt("punish_timer");
            int power_grade = rs_charts.getInt("power_grade");
            int nobless = rs_charts.getInt("nobless");
            int subpledge = rs_charts.getInt("subpledge");
            Long last_recom_date = Long.valueOf(rs_charts.getLong("last_recom_date"));
            int lvl_joined_academy = rs_charts.getInt("lvl_joined_academy");
            int apprentice = rs_charts.getInt("apprentice");
            int sponsor = rs_charts.getInt("sponsor");
            int varka_ketra_ally = rs_charts.getInt("varka_ketra_ally");
            Long clan_join_expiry_time = Long.valueOf(0L);
            Long clan_create_expiry_time = Long.valueOf(0L);
            int death_penalty_level = rs_charts.getInt("death_penalty_level");
            int bookmarkslot = rs_charts.getInt("bookmarkslot");
            byte vitality_points = 0;
            Long createTime = Long.valueOf(0L);
            int wlc = rs_charts.getInt("wlc");
            st_check_char.setString(1, rs_clan_privs);
            ResultSet rs_check_char = st_check_char.executeQuery();
            if(rs_check_char.next()) {
               rs_clan_privs = Config.CHARACTER_PER + rs_clan_privs;
               st_check_char.setString(1, rs_clan_privs);
               rs_check_char = st_check_char.executeQuery();
               if(rs_check_char.next()) {
                  rs_clan_privs = Config.CHARACTER_PER_S + rs_clan_privs;
                  st_check_char.setString(1, rs_clan_privs);
                  rs_check_char = st_check_char.executeQuery();
                  if(rs_check_char.next()) {
                     rs_clan_privs = Config.CHARACTER_PER_T + rs_clan_privs;
                  }
               }
            }

            Clan cn = this.getClanByOldCharId(charId);
            objectIndex = 1;
            if(cn != null) {
               if(cn.getIsSave()) {
                  clanid = cn.getNewClanId();
               } else {
                  clanid = var181 + objectIndex;
                  st_clan_instr.setInt(1, clanid);
                  st_clan_instr.setString(2, cn.getClanName());
                  st_clan_instr.setInt(3, cn.getClanLevel());
                  st_clan_instr.setInt(4, cn.getReputationScore());
                  st_clan_instr.setInt(5, 0);
                  st_clan_instr.setInt(6, 0);
                  st_clan_instr.setString(7, "");
                  st_clan_instr.setInt(8, var181);
                  st_clan_instr.setInt(9, 0);
                  st_clan_instr.setInt(10, 0);
                  st_clan_instr.setInt(11, 0);
                  st_clan_instr.setInt(12, 0);
                  st_clan_instr.setInt(13, 0);
                  st_clan_instr.setInt(14, 0);
                  st_clan_instr.setInt(15, 0);
                  st_clan_instr.setInt(16, 0);
                  st_clan_instr.executeUpdate();
                  cn.setNewCharId(var181);
                  cn.setNewClanId(var181 + objectIndex);
                  cn.setSave(true);
                  ++objectIndex;
               }
            }

            try {
               ost_chats.setString(1, c);
               ost_chats.setInt(2, var181);
               ost_chats.setString(3, rs_clan_privs);
               ost_chats.setInt(4, rs_clan_skills);
               ost_chats.setInt(5, rs_clan_subpledges);
               ost_chats.setInt(6, rs_clan_items);
               ost_chats.setInt(7, idIdex);
               ost_chats.setInt(8, clan_item_id);
               ost_chats.setInt(9, count);
               ost_chats.setInt(10, enchant_level);
               ost_chats.setInt(11, loc);
               ost_chats.setInt(12, loc_data);
               ost_chats.setInt(13, time_of_use);
               ost_chats.setInt(14, custom_type1);
               ost_chats.setInt(15, custom_type2);
               ost_chats.setInt(16, mana_left);
               ost_chats.setInt(17, time);
               ost_chats.setInt(18, z);
               ost_chats.setLong(19, exp.longValue());
               ost_chats.setLong(20, expBeforeDeath.longValue());
               ost_chats.setInt(21, sp);
               ost_chats.setInt(22, karma);
               ost_chats.setInt(23, fame);
               ost_chats.setInt(24, pvpkills);
               ost_chats.setInt(25, pkkills);
               ost_chats.setInt(26, clanid);
               ost_chats.setInt(27, race);
               ost_chats.setInt(28, classid);
               ost_chats.setInt(29, base_class);
               ost_chats.setInt(30, transform_id);
               ost_chats.setLong(31, deletetime.longValue());
               ost_chats.setInt(32, cancraft);
               ost_chats.setString(33, title);
               ost_chats.setInt(34, title_color);
               ost_chats.setInt(35, rec_have);
               ost_chats.setInt(36, rec_left);
               ost_chats.setInt(37, accesslevel);
               ost_chats.setInt(38, online);
               ost_chats.setInt(39, onlinetime);
               ost_chats.setInt(40, char_slot);
               ost_chats.setInt(41, newbie);
               ost_chats.setLong(42, lastAccess.longValue());
               ost_chats.setInt(43, clan_privs);
               ost_chats.setInt(44, wantspeace);
               ost_chats.setInt(45, isin7sdungeon);
               ost_chats.setInt(46, punish_level);
               ost_chats.setInt(47, punish_timer);
               ost_chats.setInt(48, power_grade);
               ost_chats.setInt(49, nobless);
               ost_chats.setInt(50, subpledge);
               ost_chats.setLong(51, last_recom_date.longValue());
               ost_chats.setInt(52, lvl_joined_academy);
               ost_chats.setInt(53, apprentice);
               ost_chats.setInt(54, sponsor);
               ost_chats.setInt(55, varka_ketra_ally);
               ost_chats.setLong(56, clan_join_expiry_time.longValue());
               ost_chats.setLong(57, clan_create_expiry_time.longValue());
               ost_chats.setInt(58, death_penalty_level);
               ost_chats.setInt(59, bookmarkslot);
               ost_chats.setInt(60, vitality_points);
               ost_chats.setLong(61, createTime.longValue());
               ost_chats.setInt(62, wlc);
               ost_chats.executeUpdate();
            } catch (Exception var171) {
               System.out.println("账号: " + c + " 角色：" + rs_clan_privs + " 人物转移失败. -" + var171.getMessage());
            }

            st_subclass.setInt(1, charId);
            ResultSet rs_subclass = st_subclass.executeQuery();

            int rs_items;
            int item_id;
            while(rs_subclass.next()) {
               int rs_skills = rs_subclass.getInt("class_id");
               Long rs_hennas = Long.valueOf(rs_subclass.getLong("exp"));
               rs_items = rs_subclass.getInt("sp");
               i = rs_subclass.getInt("level");
               item_id = rs_subclass.getInt("class_index");

               try {
                  ost_subclass.setInt(1, var181);
                  ost_subclass.setInt(2, rs_skills);
                  ost_subclass.setLong(3, rs_hennas.longValue());
                  ost_subclass.setInt(4, rs_items);
                  ost_subclass.setInt(5, i);
                  ost_subclass.setInt(6, item_id);
                  ost_subclass.executeUpdate();
               } catch (Exception var170) {
                  System.out.println("账号: " + c + " 角色：" + rs_clan_privs + " 副职业转移失败. -" + var170.getMessage());
               }
            }

            st_skills.setInt(1, charId);
            ResultSet var193 = st_skills.executeQuery();

            while(var193.next()) {
               int var194 = var193.getInt("skill_id");
               rs_items = var193.getInt("skill_level");
               i = var193.getInt("class_index");

               try {
                  ost_skills.setInt(1, var181);
                  ost_skills.setInt(2, var194);
                  ost_skills.setInt(3, rs_items);
                  ost_skills.setInt(4, i);
                  ost_skills.executeUpdate();
               } catch (Exception var169) {
                  System.out.println("账号: " + c + " 角色：" + rs_clan_privs + " 技能转移失败. -" + var169.getMessage());
               }
            }

            st_hennas.setInt(1, charId);
            ResultSet var195 = st_hennas.executeQuery();

            while(var195.next()) {
               rs_items = var195.getInt("symbol_id");
               i = var195.getInt("slot");
               item_id = var195.getInt("class_index");

               try {
                  stmt_hennas.setInt(1, var181);
                  stmt_hennas.setInt(2, rs_items);
                  stmt_hennas.setInt(3, i);
                  stmt_hennas.setInt(4, item_id);
                  stmt_hennas.executeUpdate();
               } catch (Exception var168) {
                  System.out.println("账号: " + c + " 角色：" + rs_clan_privs + " 纹身转移失败. -" + var168.getMessage());
               }
            }

            var195.close();
            ResultSet var196;
            if(Config.IS_MOVE_RECIPE) {
               st_recipes.setInt(1, charId);
               var196 = st_recipes.executeQuery();

               while(var196.next()) {
                  i = var196.getInt("id");
                  item_id = var196.getInt("classIndex");
                  int count1 = var196.getInt("type");

                  try {
                     stmt_recipes.setInt(1, var181);
                     stmt_recipes.setInt(2, i);
                     stmt_recipes.setInt(3, item_id);
                     stmt_recipes.setInt(4, count1);
                     stmt_recipes.executeUpdate();
                  } catch (Exception var167) {
                     System.out.println("账号: " + c + " 角色：" + rs_clan_privs + " 制作卷轴转移失败. -" + var167.getMessage());
                  }
               }

               var196.close();
            }

            if(Config.IS_MOVE_GENGEL) {
               stmt_cmd.setInt(1, charId);
               var196 = stmt_cmd.executeQuery();

               while(var196.next()) {
                  i = var196.getInt("points");

                  try {
                     stmt_cmd_instr.setInt(1, var181);
                     stmt_cmd_instr.setString(2, rs_clan_privs);
                     stmt_cmd_instr.setInt(3, i);
                     stmt_cmd_instr.setInt(4, wlc);
                     stmt_cmd_instr.setInt(5, 0);
                     stmt_cmd_instr.executeUpdate();
                  } catch (Exception var166) {
                     System.out.println("账号: " + c + " 角色：" + rs_clan_privs + " 统帅数据转移失败. -" + var166.getMessage());
                  }
               }

               var196.close();
            }

            st_items.setInt(1, charId);
            var196 = st_items.executeQuery();
            i = 1;

            while(var196.next()) {
               item_id = var196.getInt("item_id");
               if(item_id != 30080) {
                  Long var197 = Long.valueOf(var196.getLong("count"));
                  int enchant_level1 = var196.getInt("enchant_level");
                  String loc1 = var196.getString("loc");
                  int loc_data1 = var196.getInt("loc_data");
                  int time_of_use1 = var196.getInt("time_of_use");
                  int custom_type11 = var196.getInt("custom_type1");
                  int custom_type21 = var196.getInt("custom_type2");
                  int mana_left1 = var196.getInt("mana_left");
                  int obj_id = var196.getInt("object_id");
                  Long time1 = Long.valueOf(var196.getLong("time"));

                  try {
                     ost_items.setInt(1, var181);
                     ost_items.setInt(2, var181 + i);
                     ost_items.setInt(3, item_id);
                     ost_items.setLong(4, var197.longValue());
                     ost_items.setInt(5, enchant_level1);
                     ost_items.setString(6, loc1);
                     ost_items.setInt(7, loc_data1);
                     ost_items.setInt(8, time_of_use1);
                     ost_items.setInt(9, custom_type11);
                     ost_items.setInt(10, custom_type21);
                     ost_items.setInt(11, mana_left1);
                     ost_items.setLong(12, time1.longValue());
                     ost_items.executeUpdate();
                  } catch (Exception var165) {
                     System.out.println("账号: " + c + " 角色：" + rs_clan_privs + " 物品转移失败. -" + var165.getMessage());
                  }

                  ResultSet rs_items_attr;
                  int augAttributes;
                  int augSkillId;
                  int augSkillLevel;
                  if(Config.IS_MOVE_GROW_ITEMS) {
                     st_grow_items.setInt(1, obj_id);
                     rs_items_attr = st_grow_items.executeQuery();
                     if(rs_items_attr.next()) {
                        augAttributes = rs_items_attr.getInt("use_time");
                        augSkillId = rs_items_attr.getInt("level");
                        augSkillLevel = rs_items_attr.getInt("add_time");

                        try {
                           stmt_grow_items.setInt(1, var181);
                           stmt_grow_items.setInt(2, var181 + i);
                           stmt_grow_items.setInt(3, augAttributes);
                           stmt_grow_items.setInt(4, augSkillId);
                           stmt_grow_items.setInt(5, augSkillLevel);
                           stmt_grow_items.executeUpdate();
                        } catch (Exception var164) {
                           System.out.println("账号: " + c + " 角色：" + rs_clan_privs + " 成长性武器转移. -" + var164.getMessage());
                        }
                     }

                     rs_items_attr.close();
                  }

                  if(Config.IS_MOVE_ITEMS_ATTR) {
                     st_items_attr.setInt(1, obj_id);
                     rs_items_attr = st_items_attr.executeQuery();

                     while(rs_items_attr.next()) {
                        augAttributes = rs_items_attr.getInt("augAttributes");
                        augSkillId = rs_items_attr.getInt("augSkillId");
                        augSkillLevel = rs_items_attr.getInt("augSkillLevel");
                        int elemType = rs_items_attr.getInt("elemType");
                        int elemValue = rs_items_attr.getInt("elemValue");

                        try {
                           stmt_items_attr.setInt(1, var181 + i);
                           stmt_items_attr.setInt(2, augAttributes);
                           stmt_items_attr.setInt(3, augSkillId);
                           stmt_items_attr.setInt(4, augSkillLevel);
                           stmt_items_attr.setInt(5, elemType);
                           stmt_items_attr.setInt(6, elemValue);
                           stmt_items_attr.executeUpdate();
                        } catch (Exception var163) {
                           System.out.println("账号: " + c + " 角色：" + rs_clan_privs + " 精炼属性转移. -" + var163.getMessage());
                        }
                     }

                     rs_items_attr.close();
                  }

                  ++i;
               }
            }
         }

         _log.info("开始转移血盟,大约需要1-5分钟请耐心等待......");
         Iterator var183 = _clan.iterator();

         while(var183.hasNext()) {
            Clan var182 = (Clan)var183.next();
            if(var182.getIsSave()) {
               st_clan_privs.setInt(1, var182.getOldClanId());
               ResultSet var189 = st_clan_privs.executeQuery();

               while(var189.next()) {
                  rs_clan_skills = var189.getInt("rank");
                  rs_clan_subpledges = var189.getInt("party");
                  rs_clan_items = var189.getInt("privs");
                  st_clan_privs_instr.setInt(1, var182.getNewClanId());
                  st_clan_privs_instr.setInt(2, rs_clan_skills);
                  st_clan_privs_instr.setInt(3, rs_clan_subpledges);
                  st_clan_privs_instr.setInt(4, rs_clan_items);
                  st_clan_privs_instr.executeUpdate();
               }

               var189.close();
               st_clan_skills.setInt(1, var182.getOldClanId());
               ResultSet var184 = st_clan_skills.executeQuery();

               while(var184.next()) {
                  rs_clan_subpledges = var184.getInt("skill_id");
                  String var186 = var184.getString("skill_name");
                  idIdex = var184.getInt("skill_level");
                  st_clan_skills_instr.setInt(1, var182.getNewClanId());
                  st_clan_skills_instr.setInt(2, rs_clan_subpledges);
                  st_clan_skills_instr.setInt(3, idIdex);
                  st_clan_skills_instr.setString(4, var186);
                  st_clan_skills_instr.executeUpdate();
               }

               var184.close();
               st_clan_subpledges.setInt(1, var182.getOldClanId());
               ResultSet var185 = st_clan_subpledges.executeQuery();

               while(var185.next()) {
                  rs_clan_items = var185.getInt("sub_pledge_id");
                  String var188 = var185.getString("name");
                  st_clan_subpledges_instr.setInt(1, var182.getNewClanId());
                  st_clan_subpledges_instr.setInt(2, rs_clan_items);
                  st_clan_subpledges_instr.setString(3, var188);
                  st_clan_subpledges_instr.setInt(4, 0);
                  st_clan_subpledges_instr.executeUpdate();
               }

               var185.close();
               st_items.setInt(1, var182.getOldClanId());
               ResultSet var187 = st_items.executeQuery();
               idIdex = 1;

               while(var187.next()) {
                  clan_item_id = var187.getInt("item_id");
                  if(clan_item_id != 30080) {
                     Long var190 = Long.valueOf(var187.getLong("count"));
                     enchant_level = var187.getInt("enchant_level");
                     String var191 = var187.getString("loc");
                     loc_data = var187.getInt("loc_data");
                     time_of_use = var187.getInt("time_of_use");
                     custom_type1 = var187.getInt("custom_type1");
                     custom_type2 = var187.getInt("custom_type2");
                     mana_left = var187.getInt("mana_left");
                     Long var192 = Long.valueOf(var187.getLong("time"));
                     ost_items.setInt(1, var182.getNewClanId());
                     ost_items.setInt(2, var181 + idIdex);
                     ost_items.setInt(3, clan_item_id);
                     ost_items.setLong(4, var190.longValue());
                     ost_items.setInt(5, enchant_level);
                     ost_items.setString(6, var191);
                     ost_items.setInt(7, loc_data);
                     ost_items.setInt(8, time_of_use);
                     ost_items.setInt(9, custom_type1);
                     ost_items.setInt(10, custom_type2);
                     ost_items.setInt(11, mana_left);
                     ost_items.setLong(12, var192.longValue());
                     ost_items.executeUpdate();
                     ++idIdex;
                  }
               }

               var181 += idIdex;
               var187.close();
            }
         }

         _log.info("：游戏数据转移完毕.");
         st_charts.close();
         rs_charts.close();
         st_subclass.close();
         st_items.close();
         st_skills.close();
         st_check_char.close();
         ost_chats.close();
         ost_subclass.close();
         ost_items.close();
         ost_skills.close();
         st_grow_items.close();
         stmt_recipes.close();
         st_hennas.close();
         stmt_cmd_instr.close();
         stmt_cmd.close();
      } catch (SQLException var172) {
         System.out.println("1" + var172.getMessage());
      } finally {
         try {
            con.close();
         } catch (Exception var162) {
            System.out.println(var162.getMessage());
         }

      }

   }

   public Clan getClanByOldCharId(int charId) {
      Clan cn = null;
      if(!_clan.isEmpty()) {
         Iterator var4 = _clan.iterator();

         while(var4.hasNext()) {
            Clan c = (Clan)var4.next();
            if(c.getOldCharId() == charId) {
               cn = c;
            }
         }
      }

      return cn;
   }

   public static void main(String[] args) {
      Config.load();

      try {
         L2DatabaseFactory.getInstance();
         join = new Join();
      } catch (Exception var2) {
         System.out.println(var2.getMessage());
      }

   }
}
